public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Sam James" <sam@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-util/kyua/
Date: Wed, 26 Jul 2023 06:32:30 +0000 (UTC)	[thread overview]
Message-ID: <1690352920.41c74d31cf4774eb5f79e2a3c8966326b49a3e9a.sam@gentoo> (raw)

commit:     41c74d31cf4774eb5f79e2a3c8966326b49a3e9a
Author:     Haelwenn (lanodan) Monnier <contact <AT> hacktivis <DOT> me>
AuthorDate: Thu Jul 13 18:18:38 2023 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Wed Jul 26 06:28:40 2023 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=41c74d31

dev-util/kyua: Add -std=c++14 in CXXFLAGS for clang-16 compatibility

Signed-off-by: Haelwenn (lanodan) Monnier <contact <AT> hacktivis.me>
Closes: https://github.com/gentoo/gentoo/pull/31868
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-util/kyua/kyua-0.13-r3.ebuild | 41 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)

diff --git a/dev-util/kyua/kyua-0.13-r3.ebuild b/dev-util/kyua/kyua-0.13-r3.ebuild
new file mode 100644
index 000000000000..4cd34b7ab883
--- /dev/null
+++ b/dev-util/kyua/kyua-0.13-r3.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2023 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit flag-o-matic
+
+DESCRIPTION="Testing framework for infrastructure software"
+HOMEPAGE="https://github.com/jmmv/kyua"
+SRC_URI="https://github.com/jmmv/kyua/releases/download/${P}/${P}.tar.gz"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~x64-macos"
+IUSE="test"
+
+# Tests fail
+RESTRICT="test"
+
+RDEPEND="
+	dev-db/sqlite:3
+	dev-libs/atf
+	dev-lua/lutok
+"
+DEPEND="${RDEPEND}"
+BDEPEND="
+	virtual/pkgconfig
+	test? ( dev-libs/atf )
+"
+
+src_configure() {
+	# Uses std::auto_ptr (deprecated in c++11, removed in c++17)
+	append-cxxflags "-std=c++14"
+
+	default
+}
+
+src_install() {
+	default
+	rm -r "${ED}"/usr/tests || die
+}


             reply	other threads:[~2023-07-26  6:32 UTC|newest]

Thread overview: 44+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2023-07-26  6:32 Sam James [this message]
  -- strict thread matches above, loose matches on Subject: below --
2025-01-14 14:58 [gentoo-commits] repo/gentoo:master commit in: dev-util/kyua/ Sam James
2025-01-12  5:14 Mike Gilbert
2024-05-25 16:59 Mike Gilbert
2024-05-25 16:58 Mike Gilbert
2024-05-25 16:58 Mike Gilbert
2024-05-24 20:10 Mike Gilbert
2024-05-21 21:17 Mike Gilbert
2024-04-24 18:13 Arthur Zamarin
2024-04-24 17:59 Arthur Zamarin
2024-04-24 17:43 Arthur Zamarin
2024-04-24 17:18 Arthur Zamarin
2024-04-24 17:17 Arthur Zamarin
2024-04-24 17:14 Arthur Zamarin
2024-04-24 17:14 Arthur Zamarin
2023-07-26  6:35 Sam James
2021-07-28 11:28 Marek Szuba
2020-11-28 10:13 Sam James
2019-02-16 13:37 Mikle Kolyada
2019-02-16 13:37 Mikle Kolyada
2019-01-17 13:13 Mart Raudsepp
2018-10-17 16:48 Mikle Kolyada
2018-09-07 17:18 Mike Gilbert
2018-09-06 21:14 Mike Gilbert
2017-12-05  6:47 Matt Turner
2017-11-06 11:46 Manuel RĂ¼ger
2017-11-02 14:33 Tobias Klausmann
2017-09-30 17:14 Matt Turner
2017-09-30 17:14 Matt Turner
2017-09-12  8:00 Sergei Trofimovich
2017-09-11 16:56 Mike Gilbert
2017-09-11  8:10 Sergei Trofimovich
2017-08-10  4:41 Markus Meier
2017-08-09 21:05 Sergei Trofimovich
2017-08-05 14:25 Sergei Trofimovich
2017-07-04 18:28 Mike Gilbert
2017-06-18 20:56 Sergei Trofimovich
2017-05-14 10:55 Markus Meier
2017-05-13  6:26 Markus Meier
2017-05-09 12:40 Jeroen Roovers
2017-05-09  7:49 Tobias Klausmann
2017-05-08 16:08 Mike Gilbert
2017-05-07 18:39 Mike Gilbert
2017-05-07 18:39 Mike Gilbert

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1690352920.41c74d31cf4774eb5f79e2a3c8966326b49a3e9a.sam@gentoo \
    --to=sam@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox